Package Details: xorg-server1.12 1.12.4-6

Git Clone URL: (read-only)
Package Base: xorg-server1.12
Description: Xorg X server
Upstream URL:
Licenses: custom
Conflicts: xorg-server
Provides: X-ABI-EXTENSION_VERSION=6.0, X-ABI-VIDEODRV_VERSION=12, X-ABI-XINPUT_VERSION=16, x-server=1.12.4, xorg-server=1.12.4
Submitter: City-busz
Maintainer: City-busz
Last Packager: City-busz
Votes: 10
Popularity: 0.002516
First Submitted: 2012-10-14 01:13
Last Updated: 2015-12-16 14:28

Dependencies (46)

Required by (111)

Sources (8)

Latest Comments

City-busz commented on 2015-12-16 14:25

Patch applied.

shevagr commented on 2015-09-10 21:21

Hello. I am having the same error as here:
BadImplementation Error
In post number 3 a solution with a patch is posted.
Bug: (scroll down to see the patch)
I followed basically the solution posted in the 3rd post of the topic. You can find it here:
I just added bad-impl.patch to sources and build() (in PKGBUILD) and changed the corresponding SHA to match. Now it works properly. It would be nice if you added it.


zancarius commented on 2015-05-31 05:39

I just ran into a build-bug for this package when using GCC 5.x due to some funky behaviors in the xorg code (fixed around 1.15-1.16, if I'm not mistaken). If you intend to build this package on GCC 5.x+, you'll need to use this patch [1].